Package org.apache.activemq.artemis.spi.core.security.jaas

## Class PropertiesLoader.FileNameKey

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.jaas.PropertiesLoader.FileNameKey

- Enclosing class:
    PropertiesLoader

      public static final class PropertiesLoader.FileNameKey
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileNameKey​(java.lang.String nameProperty, java.lang.String fallbackName, java.util.Map options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` |
    `java.io.File` | `file()` |
    `int` | `hashCode()` |
    `boolean` | `isDebug()` |
    `boolean` | `isDecrypt()` |
    `boolean` | `isReload()` |
    `void` | `setDebug​(boolean debug)` |
    `void` | `setDecrypt​(boolean decrypt)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileNameKey

          public FileNameKey​(java.lang.String nameProperty,
                             java.lang.String fallbackName,
                             java.util.Map options)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isReload

          public boolean isReload()

    - #### file

          public java.io.File file()

    - #### isDecrypt

          public boolean isDecrypt()

    - #### setDecrypt

          public void setDecrypt​(boolean decrypt)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setDebug

          public void setDebug​(boolean debug)

    - #### isDebug

          public boolean isDebug()